# List accounting entry types List accounting entry types with their latest history from your organization. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounting", "version": "1.0.0", "description": "API used to manage the accounting context", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/accounting", "description": "Sandbox API server for testing" } ], "components": { "schemas": { "EntryType": { "type": "object", "properties": { "id": { "$ref": "#/components/schemas/EntryTypeID" }, "description": { "$ref": "#/components/schemas/EntryTypeDescription" }, "type": { "$ref": "#/components/schemas/EntryTypeType" }, "org_id": { "$ref": "#/components/schemas/OrgID" }, "history": { "$ref": "#/components/schemas/History" } } }, "EntryTypeDescription": { "type": "string", "maximum": 250, "description": "Entry type description.", "example": "CREDIT" }, "EntryTypeID": { "type": "integer", "format": "int64", "description": "Entry type ID", "example": 101 }, "EntryTypeType": { "type": "string", "maximum": 100, "description": "Set the entry type:\n\n* `CREATION`: Default value for new entries. Also, this value is assumed when type is not provided.\n* `DUE_DATE`: Used only with a credit program to indicate a due date entry.\n", "enum": [ "DUE_DATE", "CREATION" ], "example": "DUE_DATE" }, "History": { "type": "object", "description": "Historical information for auditing the entity.", "properties": { "org_id": { "$ref": "#/components/schemas/OrgID" }, "action": { "type": "string", "description": "Action performed on the entity.", "example": "Created" }, "reason": { "$ref": "#/components/schemas/HistoryReason" }, "responsible": { "$ref": "#/components/schemas/HistoryResponsible" }, "version": { "type": "integer", "format": "int64", "description": "Entity version.", "example": 1 }, "jsonb": { "type": "string", "description": "JSON representation of the request body.", "example": "{\"id\": 101, \"description\": \"CREDIT\", \"type\": \"DUE_DATE\", \"reason\": \"Creation of a new entry type configuration.\", \"responsible\": \"John Doe\", \"created_at\": \"2021-10-10T10:10:00Z\"}" }, "created_at": { "type": "string", "format": "date-time", "description": "Date and time when the history was created (ISO 8601). Format: YYYY-MM-DDThh:mm:ssZ.", "example": "2021-10-10T10:10:00Z" } } }, "HistoryReason": { "type": "string", "maximum": 250, "description": "Reason for the operation.", "example": "Creation of a new entry type configuration." }, "HistoryResponsible": { "type": "string", "maximum": 100, "description": "User name or ID of the person performing the operation.", "example": "John Doe" }, "OrgID": { "type": "string", "description": "Organization ID", "example": "TN-XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX" }, "Page": { "type": "object", "properties": { "has_next": { "type": "boolean", "description": "Indicates if there are more items to be retrieved." }, "items": { "type": "array", "description": "Items retrieved from a given request.", "items": { "type": "object" } } } } }, "parameters": { "pageSize": { "in": "query", "name": "pageSize", "description": "Maximum number of accounting event types per page.", "schema": { "type": "integer" } }, "pageOffset": { "name": "pageOffset", "in": "query", "description": "Number to offset page resuts. For example, value `2` returns the third page. Defaults to `0`, which returns the first page.", "schema": { "type": "integer" } } } }, "tags": [ { "name": "Accounting entry types", "description": "Endpoints to manage accounting entry types" } ], "paths": { "/v2/entry-types": { "get": { "operationId": "SearchEntryTypesV2", "summary": "List accounting entry types", "description": "List accounting entry types with their latest history from your organization.", "tags": [ "Accounting entry types" ], "parameters": [ { "$ref": "#/components/parameters/pageSize" }, { "$ref": "#/components/parameters/pageOffset" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "allOf": [ { "$ref": "#/components/schemas/Page" }, { "properties": { "items": { "type": "array", "items": { "$ref": "#/components/schemas/EntryType" } } } } ] } } } }, "400": { "description": "Bad request when a provided parameter is invalid" }, "404": { "description": "Entry type not found" }, "500": { "description": "Internal server error" } }, "deprecated": false } } } } ```